Kernel antigo no Void

1. Kernel antigo no Void

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 13/05/2018 - 19:22h

Como diz no título, isso é possível?
O meu notebook é antigo e só funciona bem com a versão 4.4 para baixo.
No Arch Linux eu instalo ele e uso o archive.archlinux.org para baixar um kernel antigo e instalar com o pacman -U.
E no Void, é possível fazer algo semelhante?


  


2. Re: Kernel antigo no Void

Matheus
pylm

(usa Gentoo)

Enviado em 13/05/2018 - 19:39h

Última vez que li sobre o assunto o xbps não tinha um equivalente ao -U do Pacman.
EU diria pra simplesmente compilar e jogar em /boot, o gerenciador não vai te encher e tudo vai funcionar como deveria.


3. Re: Kernel antigo no Void

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 13/05/2018 - 20:26h

Poderia me indicar um tutorial de como realizar o procedimento? Seria possível compilar pelo Arch Linux, fazer upload em um servidor e posteriormente instalar no Void?




# nano /etc/pacman.conf



4. Re: Kernel antigo no Void

Matheus
pylm

(usa Gentoo)

Enviado em 13/05/2018 - 20:54h

ochapeudepalha escreveu:

Poderia me indicar um tutorial de como realizar o procedimento? Seria possível compilar pelo Arch Linux, fazer upload em um servidor e posteriormente instalar no Void?




# nano /etc/pacman.conf


Boota no arch
$ zcat /proc/config.gz > config-arch
Vá ao void (tenha o config-arch em mãos no void) e baixe as sources do seu kernel 4.4 no kernel.org, extraia-as e entre no diretório extraído
$ cp config-arch .config (note que .config é um arquivo oculto)
$ make -jX (X é o número de núcleos do teu processador)
# make modules_install
# make install
# grub-mkconfig -o /boot/grub/grub.cfg

Deve ser suficiente pra compilar um kernel com as configurações do Arch e instalá-lo no void.




5. Re: Kernel antigo no Void

edps
edps

(usa Slackware)

Enviado em 13/05/2018 - 22:07h

No link abaixo está a solução:

https://wiki.voidlinux.eu/XBPS#Reinstalling.2Fdowngrading_to_a_specific_package_version

Antes eu pensava que bastava um xbps-install -Sf, agora vi que não.


Reinstalling/downgrading to a specific package version
The easiest way to downgrade is by using xdowngrade from xtools.

To downgrade using just XBPS, you must first add the package name you want to downgrade to your local repository:

# xbps-rindex -a /var/cache/xbps/package-name.xbps
Then downgrade with xbps-install replacing pkg-1.0_1 with the desired package:

# xbps-install -R /var/cache/xbps/ -Sf pkg-1.0_1
The -R option enables repository mode. This mode explicitly looks in repositories, rather than looking in the target root directory. The -f flag is necessary to force downgrade/reinstallation of an already installed package.


Mas... também sei que existe no repositório oficial um conjunto de scripts que contém um chamado xdowngrade, o nome do pacote é "xtools"






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts